Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## sum.komponenten
Class Zeilenbereich

    java.lang.Object
      sum.komponenten.Komponente
          sum.komponenten.Textkomponente
              sum.komponenten.Markierungskomponente
                  sum.komponenten.Textbereich
                      sum.komponenten.Zeilenbereich

All Implemented Interfaces:
  Serializable, ScrollPaneConstants

    public class Zeilenbereich

extends Textbereich
implements Serializable

Ein Zeilenbereich ist die zeilenorientierte Unterklasse des Textbereichs. Zeilenbereiche sind zeilenorientierte Editoren mit einer festen Breite und Hoehe. Sie reagieren auf Texteingaben und Mausklicks. Wenn etwas in einen Zeilenbereich getippt werden soll, muss er vorher mit einem Mausklick aktiviert werden, d.h. der Zeilenbereich muss den Fokus haben. Der Zeilenbereich ist zeilenorientiert. Fuer zeichenorientierte Bereiche sollte die Klasse Zeilenbereich benutzt werden.

Version:
  7.0 vom 21.9.2008
Author:
  Bernard Schriek, Horst Hildebrecht
See Also:
  Serialized Form

Field Summary
`static String` | `NEUERABSATZ`

Fields inherited from class sum.komponenten.Textbereich
`hatScrollPane`

Fields inherited from class sum.komponenten.Textkomponente
`zAktuellFont, zSchriftArt, zSchriftGroesse, zSchriftStil`

Fields inherited from class sum.komponenten.Komponente
`hatComponent, kenntFenster`

Fields inherited from interface javax.swing.ScrollPaneConstants
`COLUMN_HEADER, HORIZONTAL_SCROLLBAR, HORIZONTAL_SCROLLBAR_ALWAYS, HORIZONTAL_SCROLLBAR_AS_NEEDED, HORIZONTAL_SCROLLBAR_NEVER, HORIZONTAL_SCROLLBAR_POLICY, LOWER_LEADING_CORNER, LOWER_LEFT_CORNER, LOWER_RIGHT_CORNER, LOWER_TRAILING_CORNER, ROW_HEADER, UPPER_LEADING_CORNER, UPPER_LEFT_CORNER, UPPER_RIGHT_CORNER, UPPER_TRAILING_CORNER, VERTICAL_SCROLLBAR, VERTICAL_SCROLLBAR_ALWAYS, VERTICAL_SCROLLBAR_AS_NEEDED, VERTICAL_SCROLLBAR_NEVER, VERTICAL_SCROLLBAR_POLICY, VIEWPORT`

Constructor Summary
`Zeilenbereich(double pLinks, double pOben, double pBreite, double pHoehe, String pText)` Der Zeilenbereich wird erzeugt und enthaelt den uebergebenen Text.
`Zeilenbereich(Fenster pFenster, double pLinks, double pOben, double pBreite, double pHoehe, String pText)` Der Zeilenbereich wird erzeugt und enthaelt den uebergebenen Text.

Method Summary
`int` | `anzahl()` Die Anzahl der Zeilen im Zeilenbereich wird zurueckgegeben.
`protected void` | `bekommtFokus()` Der Zeilenbereich erhaelt den Fokus.
`void` | `fuegeEin(String pText, int pZeile)` Der Text pText wird als Zeile pZeile eingefuegt.
`void` | `haengeAn(char pZeichen)` Das Zeichen pZeichen wird als neue Zeile am Ende angehaengt.
`void` | `haengeAn(double pZahl)` Das Kommazahl pZahl wird als neue Zeile am Ende angehaengt.
`void` | `haengeAn(int pZahl)` Das ganze Zahl pZahl wird als neue Zeile am Ende angehaengt.
`void` | `haengeAn(String pText)` Der Text pText wird als neue Zeile am Ende angehaengt.
`String` | `inhaltAlsText()` Der Text des Zeilenbereichs wird als String zurueckgegeben.
`protected void` | `inhaltGeaendert()` Der Zeilenbereich reagiert auf Veraenderungen.
`boolean` | `istMarkiert()` Es wird zurueckgegeben, ob Text markiert ist.
`void` | `loesche(int pAnfang, int pEnde)` Der durch die Parameter bestimmte Text wird geloescht.
`void` | `loescheAlles()` Der gesamte Text wird geloescht.
`void` | `loescheMarkierung()` Der markierte Text wird geloescht.
`void` | `markiereAlles()` Der gesamte Text wird markiert.
`void` | `markiereNichts()` Der gesamte Text wird nicht markiert.
`String` | `markierterInhalt()` Der im Zeilenbereich markierte Text wird geliefert.
`protected void` | `markierungGeaendert()` Der Zeilenbereich reagiert auf Veraenderungen der Markierung.
`int` | `markierungsAnfang()` Es wird zurueckgegeben, von welcher Zeile an der Text markiert ist.
`int` | `markierungsEnde()` Es wird zurueckgegeben, bis zu welcher Zeile der Text markiert ist.
`void` | `neuerAbsatz()` Ein neuer Absatz wird erzeugt.
`void` | `setzeBearbeiterInhaltGeaendert(String pBearbeiter)` Die Methode zur Bearbeitung des InhaltGeaendert-Ereignisses in der Ereignisanwendung wird festgelegt.
`void` | `setzeBearbeiterMarkierungGeaendert(String pBearbeiter)` Die Methode zur Bearbeitung des MarkierungGeaendert-Ereignisses in der Ereignisanwendung wird festgelegt.
`void` | `setzeInhalt(String pText)` Der Zeilenbereich erhaelt einen neuen Inhalt.
`void` | `setzeMarkierung(int pAnfang, int pEnde)` Der Text zwischen den Zeilen pAnfang und pEnde wird markiert.
`String` | `teilinhalt(int pAnfang, int pEnde)` Der Inhalt des Zeilenbereichs von Zeile pAnfang bis Zeile pEnde wird als String zurueckgegeben.
`protected void` | `verliertFokus()` Der Zeilenbereich verliert den Fokus.

Methods inherited from class sum.komponenten.Textbereich
`lerneKomponenteKennen, setzeGroesse, setzePosition`

Methods inherited from class sum.komponenten.Markierungskomponente
`teilInhalt`

Methods inherited from class sum.komponenten.Textkomponente
`inhaltAlsGanzeZahl, inhaltAlsLangeGanzeZahl, inhaltAlsZahl, inhaltIstGanzeZahl, inhaltIstLangeGanzeZahl, inhaltIstText, inhaltIstZahl, init, schriftfarbe, schriftFarbe, setzeInhalt, setzeInhalt, setzeInhalt, setzeInhalt, setzeSchriftart, setzeSchriftArt, setzeSchriftfarbe, setzeSchriftFarbe, setzeSchriftfarbe, setzeSchriftFarbe, setzeSchriftgroesse, setzeSchriftGroesse, setzeSchriftstil, setzeSchriftStil`

Methods inherited from class sum.komponenten.Komponente
`aktiviere, besitztFokus, breite, deaktiviere, farbe, fokusErhaltenBearbeiter, fokusVerlorenBearbeiter, gibFrei, hoehe, init, istAktiv, istSichtbar, links, oben, setzeBearbeiterFokusErhalten, setzeBearbeiterFokusVerloren, setzeFarbe, setzeFarbe, setzeFokus, setzeFokusWert, setzeHinweis, verstecke, zeige`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NEUERABSATZ

    public static final String NEUERABSATZ

See Also:
  Constant Field Values

Constructor Detail

### Zeilenbereich

    public Zeilenbereich(double pLinks,
                         double pOben,
                         double pBreite,
                         double pHoehe,
                         String pText)

  Der Zeilenbereich wird erzeugt und enthaelt den uebergebenen Text. Position, Breite und Hoehe werden als Parameter uebergeben. Der Zeilenbereich befindet sich auf dem Bildschirm.

  Parameters:
    `pLinks` - der Abstand der Komponente vom linken Fensterrand
    `pOben` - der Abstand der Komponente vom oberen Fensterrand
    `pBreite` - die Breite der Komponente
    `pHoehe` - die Hoehe der Komponente
    `pText` - der Inhalt der Komponente

### Zeilenbereich

    public Zeilenbereich(Fenster pFenster,
                         double pLinks,
                         double pOben,
                         double pBreite,
                         double pHoehe,
                         String pText)

  Der Zeilenbereich wird erzeugt und enthaelt den uebergebenen Text. Position, Breite und Hoehe werden als Parameter uebergeben. Der Zeilenbereich befindet sich auf dem Fenster.

  Parameters:
    `pFenster` - das Fenster, das die Komponente enthält
    `pLinks` - der Abstand der Komponente vom linken Fensterrand
    `pOben` - der Abstand der Komponente vom oberen Fensterrand
    `pBreite` - die Breite der Komponente
    `pHoehe` - die Hoehe der Komponente
    `pText` - der Inhalt der Komponente

Method Detail

### anzahl

    public int anzahl()

  Die Anzahl der Zeilen im Zeilenbereich wird zurueckgegeben.

  Returns:
    die Anzahl der Zeilen der Komponente

### bekommtFokus

    protected void bekommtFokus()

  Der Zeilenbereich erhaelt den Fokus.

### fuegeEin

    public void fuegeEin(String pText,
                         int pZeile)

  Der Text pText wird als Zeile pZeile eingefuegt.

  Specified by:
    `fuegeEin` in class `Textbereich`
  Parameters:
    `pText` - der Text, der eingefuegt wird
    `pZeile` - die Zeilennummer, wo der Text als neue Zeile eingefuegt wird

### haengeAn

    public void haengeAn(char pZeichen)

  Das Zeichen pZeichen wird als neue Zeile am Ende angehaengt.

  Specified by:
    `haengeAn` in class `Textbereich`
  Parameters:
    `pZeichen` - das Zeichen, das als neue Zeile angehaengt wird

### haengeAn

    public void haengeAn(double pZahl)

  Das Kommazahl pZahl wird als neue Zeile am Ende angehaengt.

  Specified by:
    `haengeAn` in class `Textbereich`
  Parameters:
    `pZahl` - die Zahl, die als neue Zeile angehaengt wird

### haengeAn

    public void haengeAn(int pZahl)

  Das ganze Zahl pZahl wird als neue Zeile am Ende angehaengt.

  Specified by:
    `haengeAn` in class `Textbereich`
  Parameters:
    `pZahl` - die Zahl, die als neue Zeile angehaengt wird

### haengeAn

    public void haengeAn(String pText)

  Der Text pText wird als neue Zeile am Ende angehaengt.

  Specified by:
    `haengeAn` in class `Textbereich`
  Parameters:
    `pText` - der Text, der als neue Zeile angehaengt wird

### inhaltAlsText

    public String inhaltAlsText()

  Der Text des Zeilenbereichs wird als String zurueckgegeben.

  Specified by:
    `inhaltAlsText` in class `Textkomponente`
  Returns:
    der Inhalt der Komponente als Zeichenkette (String)

### inhaltGeaendert

    protected void inhaltGeaendert()

  Der Zeilenbereich reagiert auf Veraenderungen.

### istMarkiert

    public boolean istMarkiert()

  Es wird zurueckgegeben, ob Text markiert ist.

  Specified by:
    `istMarkiert` in class `Markierungskomponente`
  Returns:
    true, wenn Text markiert ist

### loesche

    public void loesche(int pAnfang,
                        int pEnde)

  Der durch die Parameter bestimmte Text wird geloescht. Die Zeilennummerierung beginnt bei 1.

  Specified by:
    `loesche` in class `Markierungskomponente`
  Parameters:
    `pAnfang` - erste Zeile
    `pEnde` - letzte Zeile

### loescheAlles

    public void loescheAlles()

  Der gesamte Text wird geloescht.

  Overrides:
    `loescheAlles` in class `Markierungskomponente`

### loescheMarkierung

    public void loescheMarkierung()

  Der markierte Text wird geloescht.

  Specified by:
    `loescheMarkierung` in class `Markierungskomponente`

### markiereAlles

    public void markiereAlles()

  Der gesamte Text wird markiert.

  Specified by:
    `markiereAlles` in class `Markierungskomponente`

### markiereNichts

    public void markiereNichts()

  Der gesamte Text wird nicht markiert.

  Specified by:
    `markiereNichts` in class `Markierungskomponente`

### markierterInhalt

    public String markierterInhalt()

  Der im Zeilenbereich markierte Text wird geliefert.

  Specified by:
    `markierterInhalt` in class `Markierungskomponente`
  Returns:
    der markierte Text

### markierungGeaendert

    protected void markierungGeaendert()

  Der Zeilenbereich reagiert auf Veraenderungen der Markierung.

  Specified by:
    `markierungGeaendert` in class `Markierungskomponente`

### markierungsAnfang

    public int markierungsAnfang()

  Es wird zurueckgegeben, von welcher Zeile an der Text markiert ist. Die Zeilennummerierung beginnt bei 1.

  Specified by:
    `markierungsAnfang` in class `Markierungskomponente`
  Returns:
    die erste markierte Zeile

### markierungsEnde

    public int markierungsEnde()

  Es wird zurueckgegeben, bis zu welcher Zeile der Text markiert ist. Die Zeilennummerierung beginnt bei 1.

  Specified by:
    `markierungsEnde` in class `Markierungskomponente`
  Returns:
    die letzte markierte Zeile

### neuerAbsatz

    public void neuerAbsatz()

  Ein neuer Absatz wird erzeugt.

### setzeBearbeiterInhaltGeaendert

    public void setzeBearbeiterInhaltGeaendert(String pBearbeiter)

  Die Methode zur Bearbeitung des InhaltGeaendert-Ereignisses in der Ereignisanwendung wird festgelegt.

  Overrides:
    `setzeBearbeiterInhaltGeaendert` in class `Markierungskomponente`
  Parameters:
    `pBearbeiter` - der Bezeichner des Dienstes der SuMAnwendung, der aufgerufen wird, wenn der Inhalt der Komponente geaendert wurde.

### setzeBearbeiterMarkierungGeaendert

    public void setzeBearbeiterMarkierungGeaendert(String pBearbeiter)

  Die Methode zur Bearbeitung des MarkierungGeaendert-Ereignisses in der Ereignisanwendung wird festgelegt.

  Overrides:
    `setzeBearbeiterMarkierungGeaendert` in class `Markierungskomponente`
  Parameters:
    `pBearbeiter` - der Bezeichner des Dienstes der SuMAnwendung, der aufgerufen wird, wenn die Markierung der Komponente geaendert wurde.

### setzeInhalt

    public void setzeInhalt(String pText)

  Der Zeilenbereich erhaelt einen neuen Inhalt.

  Specified by:
    `setzeInhalt` in class `Textkomponente`
  Parameters:
    `pText` - der Text, der als neuer Inhalt gesetzt wird

### setzeMarkierung

    public void setzeMarkierung(int pAnfang,
                                int pEnde)

  Der Text zwischen den Zeilen pAnfang und pEnde wird markiert. Die Zeilennummerierung beginnt bei 1.

  Specified by:
    `setzeMarkierung` in class `Markierungskomponente`
  Parameters:
    `pAnfang` - erste Zeile
    `pEnde` - letzte Zeile

### teilinhalt

    public String teilinhalt(int pAnfang,
                             int pEnde)

  Der Inhalt des Zeilenbereichs von Zeile pAnfang bis Zeile pEnde wird als String zurueckgegeben. Die Zeilennummerierung beginnt bei 1.

  Specified by:
    `teilinhalt` in class `Markierungskomponente`
  Parameters:
    `pAnfang` - erste Zeile
    `pEnde` - letzte Zeile
  Returns:
    der Inhalt in den gewaehlten Zeilen der Komponente als Zeichenkette (String)

### verliertFokus

    protected void verliertFokus()

  Der Zeilenbereich verliert den Fokus.

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD